/*********************************************************************
* FILTER2.C - This program is a DOS filter that uses the functions   *
*   _dos_read() and _dos_write() to move characters from stdin to    *
*   stdout.                                                          *
*                                                                    *
* To compile: CL FILTER2.C                    Last revised: 10/18/91 *
*********************************************************************/
#include <dos.h>  /* _dos_read(), _dos_write()                      */
 
#define STDIN  0  /* Handle for stdin  - the standard input device  */
#define STDOUT 1  /* Handle for stdout - the standard output device */

/*********************************************************************
* main() - Main body of program                                      *
*********************************************************************/
void main( void )
    {
    static char InByte=0;
    int NumRead=1;
    int NumWrite;
    int ErrorCode=0;

    while ( NumRead && !ErrorCode )
        {
        ErrorCode = _dos_read( STDIN, &InByte, 1, &NumRead );
        if ( NumRead && !ErrorCode )
            ErrorCode = _dos_write( STDOUT, &InByte, 1, &NumWrite );
        }
    }
